### Method

# Vips Dbuf write

#### Declaration [src]

    gboolean
    vips_dbuf_write (
      VipsDbuf* dbuf,
      const unsigned char* data,
      size_t size
    )

#### Description [src]

Append `size` bytes from `data`. `dbuf` expands if necessary.

#### Parameters

`data`

  Type: `const unsigned char*`

  The data to write to the buffer.

  The data is owned by the caller of the method.

`size`

  Type: `size_t`

  The size of the len to write.

#### Return value

Type: `gboolean`

`FALSE` on out of memory, `TRUE` otherwise.